# Makefile for Linux Simple Console Application
#
# $Revision: 20578 $
# $Date: 2009-08-17 14:27:28 -0700 (Mon, 17 Aug 2009) $

OBJS = debug

LIBS= -lpthread
CC := gcc
CXX := g++

DEFINES = -DRNP_HOST
DEFINES_UART = -DHAL_SPI=FALSE -DHAL_UART=TRUE -DHAL_I2C=FALSE

INCLUDES= -I application\
	-I ipclib \
	-I rtilib \
	-I services
           
MAINAPP_OBJS= \
	$(OBJS)/SimpleConsole_lnx.o
	
RTILIB_OBJS= \
	$(OBJS)/rtis_lnx.o

NPISPILIB_OBJS= \
	$(OBJS)/npi_lnx_spi.o

NPIUARTLIB_OBJS= \
	$(OBJS)/npi_lnx_uart.o

NPII2CLIB_OBJS= \
	$(OBJS)/npi_lnx_i2c.o

HAL_LIB_OBJS= \
	$(OBJS)/hal_gpio.o

HAL_I2C_LIB_OBJS= \
	$(OBJS)/hal_i2c.o

HAL_SPI_LIB_OBJS= \
	$(OBJS)/hal_spi.o 


PROJ_UART_OBJS= $(MAINAPP_OBJS) $(RTILIB_OBJS) $(NPIUARTLIB_OBJS) $(HAL_LIB_OBJS) 

all: $(OBJS)
$(OBJS):
	-if test ! -d $(OBJS); then mkdir $(OBJS); fi

all:
PROJ_OBJS=$(MAINAPP_OBJS) $(RTILIB_OBJS) $(NPIUARTLIB_OBJS) 
CCFLAGS = -Wall  $(INCLUDES) $(DEFINES) $(DEFINES_UART) 

all: $(OBJS)/SimpleConsole_PC_uart


clean:
	-if test -d $(OBJS); then rm -f $(OBJS)/*.o; fi
	-if test -f $(OBJS)/SimpleConsole_PC_uart; then rm -f $(OBJS)/SimpleConsole_PC_uart; fi

erase_obj:
	-if test -d $(OBJS); then rm -f $(OBJS)/*.o; fi

$(OBJS)/SimpleConsole_PC_uart: $(PROJ_UART_OBJS)
	$(CC) -o $@ $(PROJ_UART_OBJS) $(LIBS) $(CCFLAGS)

$(OBJS)/SimpleConsole_lnx.o: application/SimpleConsole_lnx.c
	$(CC) -c -o $@ $(CCFLAGS) $<
	
$(OBJS)/rtis_lnx.o: rtilib/rtis_lnx.c
	$(CC) -c -o $@ $(CCFLAGS) $<

$(OBJS)/npi_lnx_spi.o: ipclib/npi_lnx_spi.c
	$(CC) -c -o $@ $(CCFLAGS) $<

$(OBJS)/npi_lnx_uart.o: ipclib/npi_lnx_uart.c
	$(CC) -c -o $@ $(CCFLAGS) $<

$(OBJS)/npi_lnx_i2c.o: ipclib/npi_lnx_i2c.c
	$(CC) -c -o $@ $(CCFLAGS) $<

$(OBJS)/hal_spi.o: ipclib/hal_spi.c
	$(CC) -c -o $@ $(CCFLAGS) $<

$(OBJS)/hal_i2c.o: ipclib/hal_i2c.c
	$(CC) -c -o $@ $(CCFLAGS) $<

$(OBJS)/hal_gpio.o: ipclib/hal_gpio.c
	$(CC) -c -o $@ $(CCFLAGS) $<

.PHONY: all clean uart spi i2c
